Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.model
Enum DialerStreamType

    java.lang.Object
      java.lang.Enum<DialerStreamType>
          umontreal.iro.lecuyer.contactcenters.msk.model.DialerStreamType

All Implemented Interfaces:
  Serializable, Comparable<DialerStreamType>

    public enum DialerStreamType

extends Enum<DialerStreamType>

Types of random streams for dialers.

Enum Constant Summary
`DIALDELAY` Random stream for dialing delays.
`REACHTEST` Random stream for testing if a call is reached or has failed.

Method Summary
`static DialerStreamType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DialerStreamType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DIALDELAY

    public static final DialerStreamType DIALDELAY

  Random stream for dialing delays.

### REACHTEST

    public static final DialerStreamType REACHTEST

  Random stream for testing if a call is reached or has failed.

Method Detail

### values

    public static DialerStreamType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DialerStreamType c : DialerStreamType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DialerStreamType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.